#Front Desk Zoom Dialogs

label frontDeskZoom:
    scene frontDeskZoom with Fade(.5,0,.5)
    show Enro Smiling
    if enroCheckedIn == "0":
        Enro "Welcome back! Are you ready to check in?"
        menu:
            "I would like to Check in!":
                Enro "Wonderful! I'll just need to add your name to the system and get your pass made."
                $playerName = renpy.input("What is your name?")
                $tempPlayerName = playerName.strip()
                if tempPlayerName =="":
                    Enro "It look like you did not write anything for your name."
                    Enro "I'll just put down 'Visitor' for now."
                    $playerName = "Visitor"
                    Enro "You can talk to me again if you ever want to update it!"
                else:
                    Enro "%(playerName)s ,alright I'll get you set up in the system and get your nametag made."
                Enro "Your nametag will also have your preferred pronouns on it."
                Enro "What pronouns do you use?"
                menu:
                    "He/Him":
                        $playerPronoun = "He"
                        $playerObjectivePronoun = "Him"
                        $playerPossessivePronoun = "His"
                    "She/Her":
                        $playerPronoun = "She"
                        $playerObjectivePronoun = "Her"
                        $playerPossessivePronoun = "Hers"
                    "They/Them":
                        $playerPronoun = "They"
                        $playerObjectivePronoun = "Them"
                        $playerPossessivePronoun = "Their"
                    "Custom":
                        $playerPronoun = renpy.input("Put in your pronoun. ex. He,Her,They")
                        $playerObjectivePronoun = renpy.input("Put in your objective pronoun. ex. Him,Her,Them")
                        $playerPossessivePronoun = renpy.input("Put in your possessive pronoun. ex. His,Hers,Their")
                Enro "Alright you should be all good to go!"
                $enroCheckedIn = "Yes"
                Enro "Is there anything else you need help with?"
                if enroCheckedIn == "0":
                    jump checkInLoop
                else:
                    jump menuLoop

            "No thank you. I just want to look around":
                Enro "That's fine I suppose."
                Enro "I can't really let you in the back until you check in though."
                Enro "Let me know when you are ready to get checked in!"
                scene frontDeskZoom
                show screen frontDeskZoomArrows
                hide Enro
                call screen frontDeskZoomArrows
            "I have some questions":
                Enro "Sure! I'll do my best to answer!"
                menu:
                    "What is this place?":
                        Enro "This is a new spa resort called 'Flora and Sauna'."
                        show Enro SmilingEyesClosed
                        Enro "It's a pun that my boyfriend Obcerd came up with!"
                        show Enro Smiling
                        Enro "We are just starting out so we are hoping to get some feedback from early visitors!"
                        Enro "As of right now, we are offering a massage class in the parlor to your right."
                        Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                        show Enro SmilingEyesClosed
                        Enro "and she's, well you'll meet her soon."
                        show Enro Smiling
                        if enroCheckedIn == "0":
                            jump checkInLoop
                        else:
                            jump menuLoop
                    "What can I do in the Spa?":
                        Enro "As of right now, we are offering a massage class in the parlor to your right."
                        Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                        show Enro SmilingEyesClosed
                        Enro "and she's, well you'll meet her soon."
                        show Enro Smiling
                        if enroCheckedIn == "0":
                            jump checkInLoop
                        else:
                            jump menuLoop
                    "What do you do?":
                        Enro "I'm the owner and also receptionist."
                        Enro "I can help get you set up or give you info on our services."
                        Enro "I also like to get to know our customers and get feedback on their experiences."
                        Enro "If you would like to leave any comments, send me an email at FloraAndSaunaGame@gmail.com."
                        Enro "I'll be sure to reply as soon as I can!"
                        if enroCheckedIn == "0":
                            jump checkInLoop
                        else:
                            jump menuLoop


    else:
        Enro "Welcome back! Can I help you with anything?"
        if sauviaTalk =="0":
            jump menuLoop
        else:
            jump SaMenuLoop
label menuLoop:
        menu:
            "I want to change my name/pronouns.":
                Enro "Surething! I can get that changed for you right away!"
                $playerName = renpy.input("What is your name?")
                $tempPlayerName = playerName.strip()
                if tempPlayerName =="":
                    Enro "It look like you did not write anything for your name."
                    Enro "I'll just put down 'Visitor' for now."
                    $playerName = "Visitor"
                    Enro "You can talk to me again if you ever want to update it!"
                else:
                    Enro "%(playerName)s ,alright I'll get you set up in the system and get your nametag made."
                Enro "Your nametag will also have your preferred pronouns on it."
                Enro "What pronouns do you use?"
                menu:
                    "He/Him":
                        $playerPronoun = "He"
                        $playerObjectivePronoun = "Him"
                        $playerPossessivePronoun = "His"
                    "She/Her":
                        $playerPronoun = "She"
                        $playerObjectivePronoun = "Her"
                        $playerPossessivePronoun = "Hers"
                    "They/Them":
                        $playerPronoun = "They"
                        $playerObjectivePronoun = "Them"
                        $playerPossessivePronoun = "Their"
                    "Custom":
                        $playerPronoun = renpy.input("Put in your pronoun. ex. He,Her,They")
                        $playerObjectivePronoun = renpy.input("Put in your objective pronoun. ex. Him,Her,Them")
                        $playerPossessivePronoun = renpy.input("Put in your possessive pronoun. ex. His,Hers,Their")
                Enro "Alright you should be all good to go!"
                Enro "Is there anything else you need help with?"
                jump menuLoop
            "No thank you. I just want to look around":
                Enro "Alright then. I hope you have a good stay! Let me know if you have any questions!"
                scene frontDeskZoom
                show screen frontDeskZoomArrows
                hide Enro
                call screen frontDeskZoomArrows
            "I have some questions":
                Enro "Sure! I'll do my best to answer!"
                menu:
                    "What is this place?":
                        Enro "This is a new spa resort called 'Flora and Sauna'."
                        show Enro SmilingEyesClosed
                        Enro "It's a pun that my boyfriend Obcerd came up with!"
                        show Enro Smiling
                        Enro "We are just starting out so we are hoping to get some feedback from early visitors!"
                        Enro "As of right now, we are offering a massage class in the parlor to your right."
                        Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                        show Enro SmilingEyesClosed
                        Enro "and she's, well you'll meet her soon."
                        show Enro Smiling
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop
                    "What can I do in the Spa?":
                        Enro "As of right now, we are offering a massage class in the parlor to your right."
                        Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                        show Enro SmilingEyesClosed
                        Enro "and she's, well you'll meet her soon."
                        show Enro Smiling
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop
                    "What do you do?":
                        Enro "I'm the owner and also receptionist."
                        Enro "I can help get you set up or give you info on our services."
                        Enro "I also like to get to know our customers and get feedback on their experiences."
                        Enro "If you would like to leave any comments, send me an email at FloraAndSaunaGame@gmail.com."
                        Enro "I'll be sure to reply as soon as I can!"
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop

label SaMenuLoop:
        menu:
            "I want to change my name/pronouns.":
                Enro "Surething! I can get that changed for you right away!"
                $playerName = renpy.input("What is your name?")
                $tempPlayerName = playerName.strip()
                if tempPlayerName =="":
                    Enro "It look like you did not write anything for your name."
                    Enro "I'll just put down 'Visitor' for now."
                    $playerName = "Visitor"
                    Enro "You can talk to me again if you ever want to update it!"
                else:
                    Enro "%(playerName)s ,alright I'll get you set up in the system and get your nametag made."
                Enro "Your nametag will also have your preferred pronouns on it."
                Enro "What pronouns do you use?"
                menu:
                    "He/Him":
                        $playerPronoun = "He"
                        $playerObjectivePronoun = "Him"
                        $playerPossessivePronoun = "His"
                    "She/Her":
                        $playerPronoun = "She"
                        $playerObjectivePronoun = "Her"
                        $playerPossessivePronoun = "Hers"
                    "They/Them":
                        $playerPronoun = "They"
                        $playerObjectivePronoun = "Them"
                        $playerPossessivePronoun = "Their"
                    "Custom":
                        $playerPronoun = renpy.input("Put in your pronoun. ex. He,Her,They")
                        $playerObjectivePronoun = renpy.input("Put in your objective pronoun. ex. Him,Her,Them")
                        $playerPossessivePronoun = renpy.input("Put in your possessive pronoun. ex. His,Hers,Their")
                Enro "Alright you should be all good to go!"
                Enro "Is there anything else you need help with?"
                jump menuLoop
            "No thank you. I just want to look around":
                Enro "Alright then. I hope you have a good stay! Let me know if you have any questions!"
                scene frontDeskZoom
                show screen frontDeskZoomArrows
                hide Enro
                call screen frontDeskZoomArrows
            "I have some questions":
                Enro "Sure! I'll do my best to answer!"
                menu:
                    "What is this place?":
                        Enro "This is a new spa resort called 'Flora and Sauna'."
                        show Enro SmilingEyesClosed
                        Enro "It's a pun that my boyfriend Obcerd came up with!"
                        show Enro Smiling
                        Enro "We are just starting out so we are hoping to get some feedback from early visitors!"
                        Enro "As of right now, we are offering a massage class in the parlor to your right."
                        Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                        show Enro SmilingEyesClosed
                        Enro "and she's, well you'll meet her soon."
                        show Enro Smiling
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop
                    "What can I do in the Spa?":
                        Enro "As of right now, we are offering a massage class in the parlor to your right."
                        Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                        show Enro SmilingEyesClosed
                        Enro "and she's, well you'll meet her soon."
                        show Enro Smiling
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop
                    "What do you do?":
                        Enro "I'm the owner and also receptionist."
                        Enro "I can help get you set up or give you info on our services."
                        Enro "I also like to get to know our customers and get feedback on their experiences."
                        Enro "If you would like to leave any comments, send me an email at FloraAndSaunaGame@gmail.com."
                        Enro "I'll be sure to reply as soon as I can!"
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop
                    "Why does your robe have flowers but not Sauvia's?":
                        Enro "Oh right! The flowers."
                        Enro "Well since we offer services of a sexual nature, we like to make it clear who is up for that."
                        Enro "Anyone you see wearing flowers won't be engaging in anything sexual but will still be able to help you in other ways!"
                        Enro "Do you have any other questions?"
                        menu:
                            "I have more questions":
                                Enro "Ask away!"
                                jump questionLoop
                            "Not right now":
                                Enro "Alright, anything else I can help you with?"
                                if enroCheckedIn == "0":
                                    jump checkInLoop
                                else:
                                    jump menuLoop

label frontDeskZoomIntro:
    scene frontDeskZoom with Fade(.5,0,.5)
    show Enro Smiling
    Enro "Welcome to Flora and Sauna! My name is Enro! Can I help you?"
label checkInLoop:
    menu:
        "I would like to Check in!":
            Enro "Wonderful! I'll just need to add your name to the system and get your pass made."
            $playerName = renpy.input("What is your name?")
            $tempPlayerName = playerName.strip()
            if tempPlayerName =="":
                Enro "It look like you did not write anything for your name."
                Enro "I'll just put down 'Visitor' for now."
                Enro "You can talk to me again if you ever want to update it!"
            else:
                Enro "%(playerName)s ,alright I'll get you set up in the system and get your nametag made."
            Enro "Your nametag will also have your preferred pronouns on it."
            Enro "What pronouns do you use?"
            menu:
                "He/Him":
                    $playerPronoun = "He"
                    $playerObjectivePronoun = "Him"
                    $playerPossessivePronoun = "His"
                "She/Her":
                    $playerPronoun = "She"
                    $playerObjectivePronoun = "Her"
                    $playerPossessivePronoun = "Hers"
                "They/Them":
                    $playerPronoun = "They"
                    $playerObjectivePronoun = "Them"
                    $playerPossessivePronoun = "Their"
                "Custom":
                    $playerPronoun = renpy.input("Put in your pronoun. ex. He,Her,They")
                    $playerObjectivePronoun = renpy.input("Put in your objective pronoun. ex. Him,Her,Them")
                    $playerPossessivePronoun = renpy.input("Put in your possessive pronoun. ex. His,Hers,Their")
            Enro "Alright you should be all good to go!"
            $enroCheckedIn = "Yes"
            Enro "Is there anything else you need help with?"
            jump menuLoop


        "No thank you. I just want to look around":
            Enro "That's fine I suppose."
            Enro "I can't really let you in the back until you check in though."
            Enro "Let me know when you are ready to get checked in!"
            show screen frontDeskZoomArrows
            hide Enro
            call screen frontDeskZoomArrows

        "I have some questions":
            Enro "Sure! I'll do my best to answer!"
label questionLoop:
            menu:
                "What is this place?":
                    Enro "This is a new spa resort called 'Flora and Sauna'."
                    show Enro SmilingEyesClosed
                    Enro "It's a pun that my boyfriend Obcerd came up with!"
                    show Enro Smiling
                    Enro "We are just starting out so we are hoping to get some feedback from early visitors!"
                    Enro "As of right now, we are offering a massage class in the parlor to your right."
                    Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                    show Enro SmilingEyesClosed
                    Enro "and she's, well you'll meet her soon."
                    show Enro Smiling
                    Enro "Do you have any other questions?"
                    menu:
                        "I have more questions":
                            Enro "Ask away!"
                            jump questionLoop
                        "Not right now":
                            Enro "Alright, anything else I can help you with?"
                            if enroCheckedIn == "0":
                                jump checkInLoop
                            else:
                                jump menuLoop
                "What can I do in the Spa?":
                    Enro "As of right now, we are offering a massage class in the parlor to your right."
                    Enro "It's been pretty popular since Sauvia likes to offer herself as practice."
                    show Enro SmilingEyesClosed
                    Enro "and she's, well you'll meet her soon."
                    show Enro Smiling
                    Enro "Do you have any other questions?"
                    menu:
                        "I have more questions":
                            Enro "Ask away!"
                            jump questionLoop
                        "Not right now":
                            Enro "Alright, anything else I can help you with?"
                            if enroCheckedIn == "0":
                                jump checkInLoop
                            else:
                                jump menuLoop
                "What do you do?":
                    Enro "I'm the owner and also receptionist."
                    Enro "I can help get you set up or give you info on our services."
                    Enro "I also like to get to know our customers and get feedback on their experiences."
                    Enro "If you would like to leave any comments, send me an email at FloraAndSaunaGame@gmail.com."
                    Enro "I'll be sure to reply as soon as I can!"
                    Enro "Do you have any other questions?"
                    menu:
                        "I have more questions":
                            Enro "Ask away!"
                            jump questionLoop
                        "Not right now":
                            Enro "Alright, anything else I can help you with?"
                            if enroCheckedIn == "0":
                                jump checkInLoop
                            else:
                                jump menuLoop
