﻿# The script of the game goes in this file.
# Backgrounds
image frontDoor = "images/backgrounds/FrontDoor.png"
image frontDesk = "images/backgrounds/FrontDesk.png"
image frontDeskZoom = "images/backgrounds/FrontDeskZoomedIn.png"
image mainDoorRight = "images/backgrounds/MainDoorRight.png"
image mainDoorLeft = "images/backgrounds/MainDoorLeft.png"
image massageRoomHallway = "images/backgrounds/MassageParlorEntrance.png"
image massageRoom = "images/backgrounds/MassageRoom.png"

#character images
image Enro Smiling =Image("images/Characters/Enro/EnroSmiling.png",yalign= 0.95)
image Enro SmilingEyesClosed = Image("images/Characters/Enro/EnroSmilingEyesClosed.png",yalign= 0.95)
image Enro SmilingMouthOpen = Image("images/Characters/Enro/EnroSmilingMouthOpenEyesClosed.png",yalign= 0.95)

image Kavara Base = "images/Characters/Kavara/KavaraSprite.png"

image Sauvia Base = "images/Characters/Sauvia/SauviaSprite.png"
image Sauvia EyesClosed = "images/Characters/Sauvia/SauviaEyesClosed.png"
image Sauvia TiedUp = "images/Characters/Sauvia/SauviaTiedUp.png"
image Sauvia TiedUpCum = "images/Characters/Sauvia/SauviaTiedUp2ndRound.png"
image Sauvia TiedUpCumBitingLip = "images/Characters/Sauvia/SauviaTiedUpAfterSexBitingLip.png"
image Sauvia TideUpCumPanting = "images/Characters/Sauvia/SauviaTiedUpAfterSexPanting.png"
image Sauvia TiedUpBitingLip = "images/Characters/Sauvia/SauviaTiedUpBitingLip.png"
image Sauvia TiedUpCumOnPaws = "images/Characters/Sauvia/SauviaTiedUpCumOnPaws.png"
image Sauvia TiedUpCumOnPawsAfter2nd = "images/Characters/Sauvia/SauviaTiedUpCumOnPawsAfter2ndRound.png"
image Sauvia TiedUpMouthOpen = "images/Characters/Sauvia/SauviaTiedUpMouthOpen.png"
image Sauvia TiedUpNudeCumPaws = "images/Characters/Sauvia/SauviaTiedUpNudeCumPaws.png"
image Sauvia TiedUpTopless = "images/Characters/Sauvia/SauviaTiedUpTopless.png"
image Sauvia TiedUpToplessCumOnPaws = "images/Characters/Sauvia/SauviaTiedUpToplessCumOnPaws.png"
image Sauvia TiedUpToplessWet = "images/Characters/Sauvia/SauviaTiedUpToplessWet.png"
image Sauvia TiedUpToplessWetBitingLip = "images/Characters/Sauvia/SauviaTiedUpToplessWetBitingLip.png"
image Sauvia TiedUpToplessWetBitingLipNoUnderwear = "images/Characters/Sauvia/SauviaTiedUpToplessWetBitingLipNoUnderwear.png"
image Sauvia ToplessWetMouthOpen = "images/Characters/Sauvia/SauviaTiedUpToplessWetMouthOpen.png"
image Sauvia ToplessWetMouthOpenNoUnderwear = "images/Characters/Sauvia/SauviaTiedUpToplessWetMouthOpenNoUnderwear.png"
image Sauvia TiedUpWetPussy = "images/Characters/Sauvia/SauviaTiedUpWetPussy.png"
image Sauvia TiedUpWetPussyBitingLip = "images/Characters/Sauvia/SauviaTiedUpWetPussyBitingLip.png"
image Sauvia TiedUpNudeSquirt = "images/Characters/Sauvia/SauviaTiedUpNudeSquirt.png"
image Sauvia TiedUpSquirtCumOnPaws = "images/Characters/Sauvia/SauviaTiedUpNudeSquirtCumOnPaws.png"
image Sauvia TiedUpCumOnPawsAndPussy = "images/Characters/Sauvia/SauviaTiedUpCumOnPawsAndPussy.png"

#Character objects
define Enro = Character('Enro',color="3880EC",what_color = "3880EC")
define Me = Character('Me',color="F7F7F7",what_color = "F7F7F7")
define Sauvia = Character('Sauvia',color="00FFFF",what_color = "00FFFF")



# The game starts here.
label start:
    $frontDoorFirst = "0"
    $frontDeskFirst = "0"
    $frontDeskZoomFirst = "0"
    $enroTalk = "0"
    $enroCheckedIn = "0"
    $sauviaTalk = "0"
    $sauviaSex = "0"
    $playerName = ""
    $playerPronoun =""
    $playerObjectivePronoun  = ""
    $playerPossesivePronoun=""
    $bondageKit = "0"
    screen frontDoorArrows():
        vbox xalign 0.467 yalign 0.8:
            imagebutton auto "arrow_%s.png" action Jump("frontDeskTransition")
    screen frontDeskArrows():
        vbox xalign 0.5 yalign 0.5:
            imagebutton auto "arrow_%s.png" action Jump("frontDeskZoomTransition")
        #vbox xalign 0.1 yalign 0.5:
        #    imagebutton auto "arrow_%s.png" action Jump("mainDoorLeftTransition")
        vbox xalign 0.9 yalign 0.5:
            imagebutton auto "arrow_%s.png" action Jump("mainDoorRightTransition")
        vbox xalign 0.5 yalign 0.9:
            imagebutton auto "down_arrow_%s.png" action Jump("frontDoorTransition")
    screen frontDeskZoomArrows():
        vbox xalign 0.5 yalign 0.95:
            imagebutton auto "EnroSmiling_%s.png" action Jump("frontDeskZoomTransition")
        vbox xalign 0.5 yalign 0.98:
            imagebutton auto "down_arrow_%s.png" action Jump("frontDeskTransition")
    screen mainDoorLeftArrows():
        #vbox xalign 0.2 yalign 0.5:
        #    imagebutton auto "arrow_%s.png" action Jump("")
        #vbox xalign 0.3 yalign 0.5:
        #    imagebutton auto "arrow_%s.png" action Jump("frontDeskTransition")
        vbox xalign 0.5 yalign 0.9:
            imagebutton auto "down_arrow_%s.png" action Jump("frontDeskTransition")
        #vbox xalign 0.8 yalign 0.5:
        #    imagebutton auto "arrow_%s.png" action Jump("laundryRoomTransition")
    screen mainDoorRightArrows():
        #vbox xalign 0.2 yalign 0.5:
        #    imagebutton auto "arrow_%s.png" action Jump("")
        vbox xalign 0.9 yalign 0.4:
            imagebutton auto "arrow_%s.png" action Jump("massageRoomHallwayTransition")
        vbox xalign 0.5 yalign 0.9:
            imagebutton auto "down_arrow_%s.png" action Jump("frontDeskTransition")
        vbox xalign 0.2 yalign 0.5:
            imagebutton auto "arrow_%s.png" action Jump("laundryRoomTransition")
    screen massageRoomHallwayArrows():
        vbox xalign 0.5 yalign 0.9:
            imagebutton auto "down_arrow_%s.png" action Jump("mainDoorRightTransition")
        vbox xalign 0.9 yalign 0.999:
            imagebutton auto "SauviaSprite_%s.png" action Jump("SauviaConvo")
    screen massageRoomArrows():
        vbox xalign 0.5 yalign 0.9:
            imagebutton auto "down_arrow_%s.png" action Jump("massageRoomHallwayTransition")
    "This is an adult game featuring nudity and explicit sexual content and is intended for people 18+."
    "This is a patreon-only build. If you find it anywhere else, contact us at floraAndSaunaGame@gmail.com"
    "Hope you enjoy the game!"
    play music "audio/crinoline-dreams-by-kevin-macleod-from-filmmusic-io.mp3"
    jump frontDoorTransition
